Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.PDFECompliance Class Reference
Inheritance diagram for FoxitPDFSDKPython3.PDFECompliance:

## Public Member Functions
def | PDFECompliance ()
| Constructor. More...
def | ConvertPDFFile (src_pdf_path, saved_pdf_path, convert_to_version, progress_callback)
| Convert a PDF file with specified PDF/E version. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | Verify (src_pdf_path, first_page_index, last_page_index, verify_version, progress_callback)
| Verify a PDF file with specified PDF/E version. More...

## Static Public Attributes
| e_VersionPDFE1 = _fsdk.PDFECompliance_e_VersionPDFE1
| PDF/E-1.

## Detailed Description

This class can be used for PDF/E compliance verification or converting a PDF file to a PDF/E format. Please ensure ComplianceEngine has been initialized successfully.

See also
  ComplianceEngine

## Constructor & Destructor Documentation

## ◆ PDFECompliance()

def FoxitPDFSDKPython3.PDFECompliance.PDFECompliance | ( |  | ) |

Constructor.

Constructor, with another PDF/E compliance object.

Parameters

  [in] | other | Another PDF/E compliance object.

## Member Function Documentation

## ◆ ConvertPDFFile()

def FoxitPDFSDKPython3.PDFECompliance.ConvertPDFFile | ( |  | src_pdf_path,
|  |  | saved_pdf_path,
|  |  | convert_to_version,
|  |  | progress_callback
| ) |  |

Convert a PDF file with specified PDF/E version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDF/E version to convert. Please refer to values starting from FoxitPDFSDKPython3.PDFECompliance.e_VersionPDFE1 and this should be one of these values. Default value: FoxitPDFSDKPython3.PDFECompliance.e_VersionPDFE1 .
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.PDFECompliance.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Verify()

def FoxitPDFSDKPython3.PDFECompliance.Verify | ( |  | src_pdf_path,
|  |  | first_page_index,
|  |  | last_page_index,
|  |  | verify_version,
|  |  | progress_callback
| ) |  |

Verify a PDF file with specified PDF/E version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be verified. This should not be an empty string.
  [in] | first_page_index | Index of the first page to be verified, staring from 0. Default value: 0.
  [in] | last_page_index | Index of the last page to be verified. If this is -1, that means all the pages of the source PDF file will be verified(ignores first_page_index). Default value: -1.
  [in] | verify_version | PDF/E version to verify.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.